/*
 * rfm01.c
 *
 *  Created on: 23.11.2009
 *      Author: user
 */

#include <avr/io.h>
#include <stdio.h>
#include <stdlib.h>
#include "rf01.h"

void initUART() {
	UBRR0L = 0x19; // 19,2kBaud @ 8 Mhz
	UCSR0B = (1<<RXEN0) | (1<<TXEN0); // Rx enable, Tx enable, Receive-interrupt enable
}

void uartByte(const char c) {
	while(!(UCSR0A&(1<<UDRE0)));
	UDR0 = c;
}
void uartString(const char *s) {
	while(*s !=0 ) {
		uartByte(*s);
		s++;
	}
}

void uartByteLn(const char c) {
	uartByte(c);
	uartByte('\r');
}

void uartWordLn(const uint16_t w) {
	uartByte(w>>8);
	uartByte(w);
	uartByte('\r');
}

int main(void) {
	initUART();

	
	uartString("Init\r");
	rfphyInit();

	while(1) {
		rfphyReceive();
	}
	return 0;
}
